use 教学成绩管理数据库  --一段一段执行
go
--1. 创建标量函数, 并在【对象浏览器】中刷新【教学成绩管理数据库】.【函数】
create function is中文字符串(@字符串 nchar(50))  
returns nchar(1) as  
begin 
  declare @I tinyint, @J tinyint
  set @I=len(@字符串)
  set @J=1
  while (@J<=@I)
    begin
      if (unicode(substring(@字符串,@J,1))<51) return '否'  
      set @J=@J+1
    end
  return '是' 
end

--2.使用标量函数
select dbo.is中文字符串('计算机系')
select dbo.is中文字符串('网络1班')
select dbo.is中文字符串('I''m from China')
